Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseConfig..::.Truncate Field
DatabaseConfig Class See Also

Physically truncate the underlying file, discarding all previous databases it might have held.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public bool Truncate

Visual Basic (Declaration)
    Public Truncate As Boolean

Visual C++
    public:
    bool Truncate

# Remarks

Underlying filesystem primitives are used to implement this flag. For this reason, it is applicable only to the file and cannot be used to discard databases within a file.

This setting cannot be lock or transaction-protected, and it is an error to specify it in a locking or transaction-protected environment.

# See Also

DatabaseConfig Class
BerkeleyDB Namespace